Subject: bug#71734: 30.0.50; eww interprets make errors as URLs

From: Eli Zaretskii <[email-masked]>
Date: Thu, 27 Jun 2024 12:00:33 +0300

> Cc: Lars Ingebrigtsen <[email-masked]>
> From: Stefan Kangas <[email-masked]>
> Date: Sun, 23 Jun 2024 06:11:57 -0700
> 
> `M-x eww` currently interprets this as a URL:
> 
>     make: *** [Makefile:240: __sub-make] Error 2
> 
> I think this is due to the below commit:
> 
> ```
> commit 4113ac253456027c4b54b92a617e0c2b3003a049
> Author: Lars Ingebrigtsen <[email-masked]>
> Date:   Sun Jan 11 15:58:10 2015 +0100
> 
>     Further eww URL DWIM tweaks
> 
>     * net/eww.el (eww): Interpret anything that looks like a protocol
>     designator as a full URL.
> 
> diff --git a/lisp/net/eww.el b/lisp/net/eww.el
> --- a/lisp/net/eww.el
> +++ b/lisp/net/eww.el
> @@ -258,29 +258,31 @@
> -         (if (or (string-match "\\`https?:" url)
> +	 ;; Anything that starts with something that vaguely looks
> +	 ;; like a protocol designator is interpreted as a full URL.
> +         (if (or (string-match "\\`[A-Za-z]+:" url)
> ```
> 
> I think that this is much too dwim-y, and we should go back to the old
> code.

OTOH, expecting "M-x eww" to do something sensible in the above case
is a bit far-fetched, IMHO.

I think the question we should ask ourselves is whether the use cases
fixed by Lars's change are more important to keep supported than
fixing the case above.